#!/bin/sh

USERDIR=`dirname $0`

CSF_FILE=$1
CSF_FILE=`readlink -f ${CSF_FILE}`

usage()
{
		echo "$0 <binary> <load_address>"
}

if ! [ -e "${CSF_FILE}" ]
then
	usage
	exit 1
fi

export CST_PATH="/root/cst-2.3.2"

rm -f ${CSF_FILE}-signed

cd /root/cst-2.3.2/crts
cstbin="/root/cst-2.3.2/linux32/cst"

uname -a | grep -q x86_64 && cstbin="/root/cst-2.3.2/linux64/cst"
${cstbin} --o ${CSF_FILE}.bin --input ${CSF_FILE}
